Loading...
Searching...
No Matches
Magick::DrawableFillRule Class Reference
Inheritance diagram for Magick::DrawableFillRule:

## Public Member Functions

| DrawableFillRule (const FillRule fillRule_)
void | operator() (MagickCore::DrawingWand *context_) const
DrawableBase * | copy () const
void | fillRule (const FillRule fillRule_)
FillRule | fillRule (void) const

## Private Attributes

FillRule | _fillRule

## Detailed Description

Definition at line 992 of file Drawable.h.

## Constructor & Destructor Documentation

## DrawableFillRule()

Magick::DrawableFillRule::DrawableFillRule | ( | const FillRule | fillRule_ | ) |

inline

Definition at line 995 of file Drawable.h.

: _fillRule(fillRule_)
{
}

## ~DrawableFillRule()

Magick::DrawableFillRule::~DrawableFillRule | ( | void |  | ) |

Definition at line 750 of file Drawable.cpp.

{
}

## Member Function Documentation

## copy()

Magick::DrawableBase * Magick::DrawableFillRule::copy | ( |  | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 758 of file Drawable.cpp.

{
return new DrawableFillRule(*this);
}

## fillRule() [1/2]

void Magick::DrawableFillRule::fillRule | ( | const FillRule | fillRule_ | ) |

inline

Definition at line 1008 of file Drawable.h.

{
_fillRule = fillRule_;
}

## fillRule() [2/2]

FillRule Magick::DrawableFillRule::fillRule | ( | void |  | ) | const

inline

Definition at line 1012 of file Drawable.h.

{
return _fillRule;
}

## operator()()

void Magick::DrawableFillRule::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 753 of file Drawable.cpp.

{
DrawSetFillRule( context_, _fillRule );
}

## Field Documentation

## _fillRule

FillRule Magick::DrawableFillRule::_fillRule

private

Definition at line 1018 of file Drawable.h.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp